## garlic 1.3

=== Makefile ===
CC = gcc

#CCOPT = -O
CCOPT = -O3
#CCOPT = -O3 -g3
#CCOPT = -ansi -pedantic -g3
#CCOPT = -ansi -pedantic -O -Wall -Wstrict-prototypes -g3

HEADERS = defines.h typedefs.h

LIBPATH = -L/usr/X11R6/lib

LINKOPT = -lX11 -lm

OBJECTS =	garlic.o print_usage.o print_help.o print_version.o \
		register.o alloc_gui.o alloc_config.o alloc_mol_complex.o \
		free_memory.o display_init.o disp_color_cap.o \
		color_shifts.o calc_params.o errmsg.o warnmsg.o \
		openfile_r.o read_config.o open_config_file.o extract_int.o \
		ex2ints.o extract_double.o ex2doubles.o extract_phrase.o \
		extract_index.o ex_rot_steps.o ex_trans_steps.o \
		ex_slab_steps.o ex_fading_steps.o extract_args.o \
		parse_options.o parse_color.o load_font.o prepare_cursor.o \
		print_config.o create_windows.o make_pixmap.o \
		rgbs_from_xcolor.o pixel_from_rgbs.o size_hints.o wmhints.o \
		select_events.o hide_control.o load_complex.o read_file.o \
		fileformat.o is_pdb.o read_pdb.o init_header.o pdb_atom.o \
		extract_field.o copypur.o realloc_pdb.o headerline.o \
		geomcenter.o init_slab.o init_fading.o flip_vector.o \
		translate_complex.o extent.o stereo_data.o strong_bonds.o \
		pseudo_bonds.o check_dist.o add_bond.o event_loop.o \
		alloc_nearest.o init_nearest.o main_refresh.o key_press.o \
		rotation_angle.o rotate.o translation_shift.o translate.o \
		slab_shift.o move_back_slab.o move_front_slab.o \
		fading_shift.o move_back_fading.o move_front_fading.o \
		key_release.o refresh_pixmap.o slab.o no_slab.o \
		planar_slab.o sphere_slab.o half_sphere_slab.o cylin_slab.o \
		half_cylin_slab.o project_atoms.o fading.o prepare_color.o \
		no_fading.o planar_fading.o sphere_fading.o \
		half_sphere_fading.o cylin_fading.o half_cylin_fading.o \
		reset_pos_flag.o atoms_style1.o atoms_style2.o \
		atoms_style3.o atoms_style4.o atoms_style5.o atoms_style6.o \
		atoms_style7.o bonds_style1.o bond_style1_quad1.o \
		bond_style1_quad2.o bond_style1_quad3.o bond_style1_quad4.o \
		bonds_style2.o bond_style2_quad1.o bond_style2_quad2.o \
		bond_style2_quad3.o bond_style2_quad4.o bonds_style3.o \
		interpolate_color.o bond_style3_quad1.o bond_style3_quad2.o \
		bond_style3_quad3.o bond_style3_quad4.o bonds_style4.o \
		add_two_colors.o bond_style4_quad1.o bond_style4_quad2.o \
		bond_style4_quad3.o bond_style4_quad4.o bonds_style5.o \
		add_three_colors.o bond_style5_quad1.o bond_style5_quad2.o \
		bond_style5_quad3.o bond_style5_quad4.o draw_system.o \
		motion_notify.o assign_hyphob.o control_refresh.o \
		print_cursor_names.o main_resize.o init_runtime.o \
		add_char.o input_refresh.o eat_left_char.o eat_right_char.o \
		execute_command1.o execute_command2.o truncate_comm.o \
		create_log_file.o load.o catch.o discard.o select.o \
		full_select.o include.o chains.o residue_ranges.o \
		extract_token.o extract_serials.o residue_names.o \
		atom_names.o exclude.o skip_keyword.o apply_selection.o \
		show.o hide.o color_schemes.o init_colors.o color.o \
		special_select.o select_hetero.o select_element.o \
		select_atoms.o quick_select.o replace_command.o atoms.o \
		bonds.o execute_script.o comm_rotate.o comm_translate.o \
		comm_slab.o comm_fading.o log.o prepare_backbone.o \
		background.o text_background.o text_foreground.o \
		change_slab.o change_fading.o full_colors.o is_old.o \
		font.o cpk.o zebra.o chain.o color_hyphob.o mix_colors.o \
		comm_backbone.o hide_no_refresh.o show_no_refresh.o \
		backbone.o hybonds.o generate_hybonds.o hybond_style.o \
		show_backbone.o hide_backbone.o pdb_id.o generate_plane.o \
		stereo.o mono.o position.o copy_doubles.o title.o \
		free_runtime.o draw_titles.o foreground.o prepare_oc.o \
		select_complement.o labels.o draw_labels.o \
		assign_radii.o spacefill.o spacefill_color.o draw_balls.o \
		center.o save.o write_line.o big_spheres.o tag.o \
		draw_tags.o tag_position.o button_press.o control_click.o \
		identify_button.o init_buttons.o write_hints.o \
		extract_sequence.o count_residues.o sequence.o \
		parse_sequence.o sequence_from.o load_sequence.o \
		select_sequence.o compare_sequences.o dihedral_angles.o \
		extract_ncaco.o phi_from_cncac.o psi_from_ncaco.o \
		vector_product.o absolute_value.o scalar_product.o \
		omega_from_cacnca.o select_cis_trans.o \
		ramachandran.o draw_ramachandran.o rama_frame.o \
		rama_mouse.o read_fasta.o save_sequence.o wheel.o \
		wheel_top_view.o wheel_bottom_view.o hydrophobicity.o \
		weight_colors.o angle.o radius.o select_sphere.o \
		disulfide_bonds.o venn.o draw_venn.o spacefill2.o \
		sp2_color.o save_seq_w_numbers.o ssb.o select_alternate.o \
		select_model.o color_model.o window.o plot.o draw_plots.o \
		init_hyphob.o plot_mouse.o project_planes.o draw_planes.o \
		plane_extent.o rotate_plane.o translate_plane.o \
		comm_move.o plane.o select_above.o select_below.o big2.o \
		scale.o pattern.o dock.o align_normal.o align_complexes.o \
		docking_window.o docking_resize.o docking_refresh.o \
		docking_project.o list_exposed_polar.o is_polar.o \
		representative_atoms.o exclude_distant.o draw_bottom.o \
		draw_top.o copy_sequence.o compare.o draw_comparison.o \
		neighborhood.o draw_balls2.o comparison_mouse.o structure.o \
		parse_sec_structure.o copy_sec_structure.o \
		load_sec_structure.o save_sec_structure.o \
		alloc_sec_structure.o sec_structure_from.o create.o \
		open_template_file.o read_template_file.o \
		ex_template_residues.o count_template_res.o \
		create_structure.o required_atoms.o copy_template_atoms.o \
		fix_chain.o reset_phi.o extract_hncac.o phi_from_hncac.o \
		rotate_atom.o parallel_part.o reset_psi.o build_chain.o \
		extract_ncac.o translate_range.o rotate_range.o \
		apply_structure.o generate_phi_psi.o extract_nca.o \
		extract_c.o replace.o extract_n.o refresh_backbone.o \
		edit.o draw_edit_symbol.o draw_squid.o draw_seahorse.o \
		are_atoms_bound.o bond_partners.o edit_phi.o edit_psi.o \
		extract_cac.o small_ramachandran.o edit_omega.o \
		small_omega.o extract_h.o extract_o.o psi_from_ncacn.o \
		is_standard.o extract_four_atoms.o chi1_from_ncacbcg.o \
		chi1_from_ncacbsg.o chi1_from_ncacbcg1.o \
		chi1_from_ncacbog.o chi1_from_ncacbog1.o \
		chi2_from_cacbcgcd.o chi2_from_cacbcgod1.o \
		chi2_from_cacbcgnd1.o chi2_from_cacbcg1cd.o \
		chi2_from_cacbcgcd1.o chi2_from_cacbcgsd.o \
		chi3_from_cbcgcdne.o chi3_from_cbcgcdoe1.o \
		chi3_from_cbcgcdce.o chi3_from_cbcgsdce.o \
		chi4_from_cgcdnecz.o chi4_from_cgcdcenz.o \
		chi5_from_cdnecznh1.o is_part_of_ring.o edit_bond.o \
		edit_chi2.o extract_cacb.o edit_chi1.o extract_cbxg.o \
		resize_complex.o membrane.o inform_user.o \
		alpha_membrane.o extract_ca.o extract_vector.o \
		alpha_membrane_center.o init_membrane.o alpha_normal.o \
		project_membranes.o draw_membranes.o \
		rotate_membrane.o translate_membrane.o select_triplet.o \
		set.o set_phi.o set_psi.o set_omega.o set_chi1.o set_chi2.o \
		set_chi3.o extract_cgxd.o set_chi4.o extract_cdxe.o \
		set_chi5.o extract_necz.o pick_bond.o nice_bonds.o \
		covalent.o covalent2.o half_nice_bond.o probe.o \
		small_atoms.o small_atoms2.o draw_sticks.o half_stick.o \
		command_refresh.o acceptor_dipole.o donor_dipole.o sticks.o \
		balls.o blur.o blur_main_window.o group.o beta_membrane.o \
		extract_cg.o select_tm.o

garlic: $(OBJECTS)
	$(CC) -o garlic $(LIBPATH) $(OBJECTS) $(LINKOPT)

print_usage.o: print_usage.c $(HEADERS)
	$(CC) -c $(CCOPT) print_usage.c

print_help.o: print_help.c $(HEADERS)
	$(CC) -c $(CCOPT) print_help.c

print_version.o: print_version.c $(HEADERS)
	$(CC) -c $(CCOPT) print_version.c

register.o: register.c $(HEADERS)
	$(CC) -c $(CCOPT) register.c

garlic.o: garlic.c $(HEADERS)
	$(CC) -c $(CCOPT) garlic.c

alloc_gui.o: alloc_gui.c $(HEADERS)
	$(CC) -c $(CCOPT) alloc_gui.c

alloc_config.o: alloc_config.c $(HEADERS)
	$(CC) -c $(CCOPT) alloc_config.c

alloc_mol_complex.o: alloc_mol_complex.c $(HEADERS)
	$(CC) -c $(CCOPT) alloc_mol_complex.c

free_memory.o: free_memory.c $(HEADERS)
	$(CC) -c $(CCOPT) free_memory.c

display_init.o: display_init.c $(HEADERS)
	$(CC) -c $(CCOPT) display_init.c

disp_color_cap.o: disp_color_cap.c $(HEADERS)
	$(CC) -c $(CCOPT) disp_color_cap.c

color_shifts.o: color_shifts.c $(HEADERS)
	$(CC) -c $(CCOPT) color_shifts.c

calc_params.o: calc_params.c $(HEADERS)
	$(CC) -c $(CCOPT) calc_params.c

errmsg.o: errmsg.c $(HEADERS)
	$(CC) -c $(CCOPT) errmsg.c

warnmsg.o: warnmsg.c $(HEADERS)
	$(CC) -c $(CCOPT) warnmsg.c

openfile_r.o: openfile_r.c $(HEADERS)
	$(CC) -c $(CCOPT) openfile_r.c

read_config.o: read_config.c $(HEADERS)
	$(CC) -c $(CCOPT) read_config.c

open_config_file.o: open_config_file.c $(HEADERS)
	$(CC) -c $(CCOPT) open_config_file.c

extract_int.o: extract_int.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_int.c

ex2ints.o: ex2ints.c $(HEADERS)
	$(CC) -c $(CCOPT) ex2ints.c

extract_double.o: extract_double.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_double.c

ex2doubles.o: ex2doubles.c $(HEADERS)
	$(CC) -c $(CCOPT) ex2doubles.c

extract_phrase.o: extract_phrase.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_phrase.c

extract_index.o: extract_index.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_index.c

ex_rot_steps.o: ex_rot_steps.c $(HEADERS)
	$(CC) -c $(CCOPT) ex_rot_steps.c

ex_trans_steps.o: ex_trans_steps.c $(HEADERS)
	$(CC) -c $(CCOPT) ex_trans_steps.c

ex_slab_steps.o: ex_slab_steps.c $(HEADERS)
	$(CC) -c $(CCOPT) ex_slab_steps.c

ex_fading_steps.o: ex_fading_steps.c $(HEADERS)
	$(CC) -c $(CCOPT) ex_fading_steps.c

extract_args.o: extract_args.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_args.c

parse_options.o: parse_options.c $(HEADERS)
	$(CC) -c $(CCOPT) parse_options.c

parse_color.o: parse_color.c $(HEADERS)
	$(CC) -c $(CCOPT) parse_color.c

load_font.o: load_font.c $(HEADERS)
	$(CC) -c $(CCOPT) load_font.c

prepare_cursor.o: prepare_cursor.c $(HEADERS)
	$(CC) -c $(CCOPT) prepare_cursor.c

print_config.o: print_config.c $(HEADERS)
	$(CC) -c $(CCOPT) print_config.c

create_windows.o: create_windows.c $(HEADERS) garlic.xpm control.xpm
	$(CC) -c $(CCOPT) create_windows.c

make_pixmap.o: make_pixmap.c $(HEADERS)
	$(CC) -c $(CCOPT) make_pixmap.c

rgbs_from_xcolor.o: rgbs_from_xcolor.c $(HEADERS)
	$(CC) -c $(CCOPT) rgbs_from_xcolor.c

pixel_from_rgbs.o: pixel_from_rgbs.c $(HEADERS)
	$(CC) -c $(CCOPT) pixel_from_rgbs.c

size_hints.o: size_hints.c $(HEADERS)
	$(CC) -c $(CCOPT) size_hints.c

wmhints.o: wmhints.c $(HEADERS)
	$(CC) -c $(CCOPT) wmhints.c

select_events.o: select_events.c $(HEADERS)
	$(CC) -c $(CCOPT) select_events.c

hide_control.o: hide_control.c $(HEADERS)
	$(CC) -c $(CCOPT) hide_control.c

load_complex.o: load_complex.c $(HEADERS)
	$(CC) -c $(CCOPT) load_complex.c

read_file.o: read_file.c $(HEADERS)
	$(CC) -c $(CCOPT) read_file.c

fileformat.o: fileformat.c $(HEADERS)
	$(CC) -c $(CCOPT) fileformat.c

is_pdb.o: is_pdb.c $(HEADERS)
	$(CC) -c $(CCOPT) is_pdb.c

read_pdb.o: read_pdb.c $(HEADERS)
	$(CC) -c $(CCOPT) read_pdb.c

init_header.o: init_header.c $(HEADERS)
	$(CC) -c $(CCOPT) init_header.c

pdb_atom.o: pdb_atom.c $(HEADERS)
	$(CC) -c $(CCOPT) pdb_atom.c

extract_field.o: extract_field.c $(HEADERS)
	$(CC) -c $(CCOPT) extract_field.c

copypur.o: copypur.c $(HEADERS)
	$(CC) -c $(CCOPT) copypur.c

realloc_pdb.o: realloc_pdb.c $(HEADERS)
	$(CC) -c $(CCOPT) realloc_pdb.c

headerline.o: headerline.c $(HEADERS)
	$(CC) -c $(CCOPT) headerline.c

geomcenter.o: geomcenter.c $(HEADERS)
	$(CC) -c $(CCOPT) geomcenter.c

init_slab.o: init_slab.c $(HEADERS)
	$(CC) -c $(CCOPT) init_slab.c

init_fading.o: init_fading.c $(HEADERS)
	$(CC) -c $(CCOPT) init_fading.c

flip_vector.o: flip_vector.c $(HEADERS)
	$(CC) -c $(CCOPT) flip_vector.c

translate_complex.o: translate_complex.c $(HEADERS)
	$(CC) -c $(CCOPT) translate_complex.c

extent.o: extent.c $(HEADERS)
	$(CC) -c $(CCOPT) extent.c

stereo_data.o: stereo_data.c $(HEADERS)
	$(CC) -c $(CCOPT) stereo_data.c

strong_bonds.o: strong_bonds.c $(HEADERS)
	$(CC) -c $(CCOPT) strong_bonds.c

pseudo_bonds.o: pseudo_bonds.c $(HEADERS)
	$(CC) -c $(CCOPT) pseudo_bonds.c

check_dist.o: check_dist.c $(HEADERS)
