## garlic 1.4

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 CC = gcc
 
 #CCOPT = -O
-CCOPT = -O3
+#CCOPT = -O3
 #CCOPT = -O3 -g3
 #CCOPT = -ansi -pedantic -g3
-#CCOPT = -ansi -pedantic -O -Wall -Wstrict-prototypes -g3
+CCOPT = -ansi -pedantic -O -Wall -Wstrict-prototypes -g3
 
 HEADERS = defines.h typedefs.h
 
@@ -88,7 +88,8 @@
 		weight_colors.o angle.o radius.o select_sphere.o \
 		disulfide_bonds.o venn.o draw_venn.o spacefill2.o \
 		sp2_color.o save_seq_w_numbers.o ssb.o select_alternate.o \
-		select_model.o color_model.o window.o plot.o draw_plots.o \
+		select_model.o color_model.o window.o plot.o \
+		draw_plots.o average_hydrophobicity.o \
 		init_hyphob.o plot_mouse.o project_planes.o draw_planes.o \
 		plane_extent.o rotate_plane.o translate_plane.o \
 		comm_move.o plane.o select_above.o select_below.o big2.o \
@@ -136,7 +137,15 @@
 		small_atoms.o small_atoms2.o draw_sticks.o half_stick.o \
 		command_refresh.o acceptor_dipole.o donor_dipole.o sticks.o \
 		balls.o blur.o blur_main_window.o group.o beta_membrane.o \
-		extract_cg.o select_tm.o
+		extract_cg.o select_tm.o parse_pattern.o select_pattern.o \
+		hyphob_function1.o hyphob_function2.o hyphob_function3.o \
+		hyphob_function4.o hyphob_function5.o color_size.o \
+		command_dump.o is_aromatic.o select_3c4.o select_3cz4.o \
+		select_3c5.o select_3cz5.o select_4c5.o select_4cz5.o \
+		select_3c6.o select_3cz6.o select_4c6.o select_4cz6.o \
+		select_5c6.o select_5cz6.o select_4c7.o select_4cz7.o \
+		select_5c7.o select_5cz7.o select_5c9.o select_5cz9.o \
+		select_5p7.o select_6p7.o
 
 garlic: $(OBJECTS)
 	$(CC) -o garlic $(LIBPATH) $(OBJECTS) $(LINKOPT)
@@ -309,22 +318,3 @@
 init_fading.o: init_fading.c $(HEADERS)
 	$(CC) -c $(CCOPT) init_fading.c
 
-flip_vector.o: flip_vector.c $(HEADERS)
-	$(CC) -c $(CCOPT) flip_vector.c
-
-translate_complex.o: translate_complex.c $(HEADERS)
-	$(CC) -c $(CCOPT) translate_complex.c
-
-extent.o: extent.c $(HEADERS)
-	$(CC) -c $(CCOPT) extent.c
-
-stereo_data.o: stereo_data.c $(HEADERS)
-	$(CC) -c $(CCOPT) stereo_data.c
-
-strong_bonds.o: strong_bonds.c $(HEADERS)
-	$(CC) -c $(CCOPT) strong_bonds.c
-
-pseudo_bonds.o: pseudo_bonds.c $(HEADERS)
-	$(CC) -c $(CCOPT) pseudo_bonds.c
-
-check_dist.o: check_dist.c $(HEADERS)
