## garlic 1.5

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 CC = gcc
 
 #CCOPT = -O
-#CCOPT = -O3
+CCOPT = -O3
 #CCOPT = -O3 -g3
 #CCOPT = -ansi -pedantic -g3
-CCOPT = -ansi -pedantic -O -Wall -Wstrict-prototypes -g3
+#CCOPT = -ansi -pedantic -O -Wall -Wstrict-prototypes -g3
 
 HEADERS = defines.h typedefs.h
 
@@ -21,7 +21,7 @@
 		extract_index.o ex_rot_steps.o ex_trans_steps.o \
 		ex_slab_steps.o ex_fading_steps.o extract_args.o \
 		parse_options.o parse_color.o load_font.o prepare_cursor.o \
-		print_config.o create_windows.o make_pixmap.o \
+		print_config.o create_windows.o make_pixmap.o make_pixmap2.o \
 		rgbs_from_xcolor.o pixel_from_rgbs.o size_hints.o wmhints.o \
 		select_events.o hide_control.o load_complex.o read_file.o \
 		fileformat.o is_pdb.o read_pdb.o init_header.o pdb_atom.o \
@@ -140,12 +140,13 @@
 		extract_cg.o select_tm.o parse_pattern.o select_pattern.o \
 		hyphob_function1.o hyphob_function2.o hyphob_function3.o \
 		hyphob_function4.o hyphob_function5.o color_size.o \
-		command_dump.o is_aromatic.o select_3c4.o select_3cz4.o \
-		select_3c5.o select_3cz5.o select_4c5.o select_4cz5.o \
-		select_3c6.o select_3cz6.o select_4c6.o select_4cz6.o \
-		select_5c6.o select_5cz6.o select_4c7.o select_4cz7.o \
-		select_5c7.o select_5cz7.o select_5c9.o select_5cz9.o \
-		select_5p7.o select_6p7.o
+		command_dump.o is_aromatic.o select_2c3.o select_2cz3.o \
+		select_3c4.o select_3cz4.o select_3c5.o select_3cz5.o \
+		select_4c5.o select_4cz5.o select_3c6.o select_3cz6.o \
+		select_4c6.o select_4cz6.o select_5c6.o select_5cz6.o \
+		select_4c7.o select_4cz7.o select_5c7.o select_5cz7.o \
+		select_5c9.o select_5cz9.o select_5p7.o select_6p7.o \
+		color_weighted.o
 
 garlic: $(OBJECTS)
 	$(CC) -o garlic $(LIBPATH) $(OBJECTS) $(LINKOPT)
@@ -258,6 +259,9 @@
 make_pixmap.o: make_pixmap.c $(HEADERS)
 	$(CC) -c $(CCOPT) make_pixmap.c
 
+make_pixmap2.o: make_pixmap2.c $(HEADERS)
+	$(CC) -c $(CCOPT) make_pixmap2.c
+
 rgbs_from_xcolor.o: rgbs_from_xcolor.c $(HEADERS)
 	$(CC) -c $(CCOPT) rgbs_from_xcolor.c
 
@@ -312,9 +316,3 @@
 geomcenter.o: geomcenter.c $(HEADERS)
 	$(CC) -c $(CCOPT) geomcenter.c
 
-init_slab.o: init_slab.c $(HEADERS)
-	$(CC) -c $(CCOPT) init_slab.c
-
-init_fading.o: init_fading.c $(HEADERS)
-	$(CC) -c $(CCOPT) init_fading.c
-
