## garlic 1.6

=== Makefile ===
--- 
+++ 
@@ -88,8 +88,8 @@
 		weight_colors.o angle.o radius.o select_sphere.o \
 		disulfide_bonds.o venn.o draw_venn.o spacefill2.o \
 		sp2_color.o save_seq_w_numbers.o ssb.o select_alternate.o \
-		select_model.o color_model.o window.o plot.o \
-		draw_plots.o average_hydrophobicity.o \
+		select_model.o color_model.o window.o plot.o draw_plots.o \
+		weighted_hydrophobicity.o average_hydrophobicity.o \
 		init_hyphob.o plot_mouse.o project_planes.o draw_planes.o \
 		plane_extent.o rotate_plane.o translate_plane.o \
 		comm_move.o plane.o select_above.o select_below.o big2.o \
@@ -139,13 +139,20 @@
 		balls.o blur.o blur_main_window.o group.o beta_membrane.o \
 		extract_cg.o select_tm.o parse_pattern.o select_pattern.o \
 		hyphob_function1.o hyphob_function2.o hyphob_function3.o \
-		hyphob_function4.o hyphob_function5.o color_size.o \
-		command_dump.o is_aromatic.o select_2c3.o select_2cz3.o \
-		select_3c4.o select_3cz4.o select_3c5.o select_3cz5.o \
-		select_4c5.o select_4cz5.o select_3c6.o select_3cz6.o \
-		select_4c6.o select_4cz6.o select_5c6.o select_5cz6.o \
-		select_4c7.o select_4cz7.o select_5c7.o select_5cz7.o \
-		select_5c9.o select_5cz9.o select_5p7.o select_6p7.o \
+		hyphob_function4.o hyphob_function5.o hyphob_function6.o \
+		hyphob_function7.o color_size.o command_dump.o is_aromatic.o \
+		select_2c3.o select_2cz3.o select_2nz3.o \
+		select_3c4.o select_3cz4.o select_3nz4.o \
+		select_3c5.o select_3cz5.o select_3nz5.o select_3p5.o \
+		select_4c5.o select_4cz5.o select_4nz5.o \
+		select_3c6.o select_3cz6.o select_3nz6.o \
+		select_4c6.o select_4cz6.o select_4nz6.o select_4p6.o \
+		select_5c6.o select_5cz6.o select_5nz6.o \
+		select_4c7.o select_4cz7.o select_4nz7.o \
+		select_5c7.o select_5cz7.o select_5nz7.o select_5p7.o \
+		select_6p7.o \
+		select_4c9.o select_4cz9.o select_4nz9.o \
+		select_5c9.o select_5cz9.o select_5nz9.o \
 		color_weighted.o
 
 garlic: $(OBJECTS)
@@ -303,16 +310,3 @@
 
 extract_field.o: extract_field.c $(HEADERS)
 	$(CC) -c $(CCOPT) extract_field.c
-
-copypur.o: copypur.c $(HEADERS)
-	$(CC) -c $(CCOPT) copypur.c
-
-realloc_pdb.o: realloc_pdb.c $(HEADERS)
-	$(CC) -c $(CCOPT) realloc_pdb.c
-
-headerline.o: headerline.c $(HEADERS)
-	$(CC) -c $(CCOPT) headerline.c
-
-geomcenter.o: geomcenter.c $(HEADERS)
-	$(CC) -c $(CCOPT) geomcenter.c
-
