=== debian/changelog ===
garlic (1.6-3) unstable; urgency=medium

  * debhelper 11
  * Point Vcs-fields to Salsa
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/changelog

 -- Andreas Tille <tille@debian.org>  Wed, 02 Jan 2019 14:45:42 +0100

garlic (1.6-2) unstable; urgency=low

  * Acknowledge NMU (closes: #666285).

  [ Daniel Leidert ]
  * debian/compat: Bumped to compatibility level 7.
  * debian/control: Used wrap-and-sort.
    (Standards-Version): Bumped to 3.9.3.
    (Build-Depends): Increased required debhelper version.
    (Depends): Fixed debhelper-but-no-misc-depends.
    (Vcs-Svn): Fixed not recommended URI format (closes: #669296).
    (Vcs-Browser): Fixed URL.
  * debian/copyright: Minor updates.
  * debian/garlic.1: ROFF updates for easier maintenance in the future.
    Updated some information regarding the website and registration.
  * debian/rules: Exclude all example files from being compressed. Fix script
    permissions to avoid executable-not-elf-or-script lintian warning.
    Rewritten for debhelper 7.

  [ Andreas Tille ]
  * debian/upstream/metadata: Added citations mentioned on upstream homepage
  * debian/control: Fix Vcs-Svn field
  * Moved packaging from SVN to Git
  * debian/source/format: 3.0 (quilt)
  * Add myself to Uploaders
  * Remove debian/menu since there is a desktop file
  * DEP5
  * Removed: DM-Upload-Allowed
  * cme fix dpkg-control
  * Fix FTCBFS: Let dh_auto_build pass cross compilers to make (Thanks for the
    patch to Helmut Grohne <helmut@subdivi.de>)
    Closes: #872431
  * debhelper 10
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Fri, 01 Dec 2017 21:05:26 +0100

garlic (1.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: cp: cannot stat `./garlic': No such file or directory":
    add build-arch target in debian/rules.
    (Closes: #666285)

 -- gregor herrmann <gregoa@debian.org>  Sun, 15 Apr 2012 14:16:47 +0200

garlic (1.6-1) unstable; urgency=low

  * New upstream release.

  [ Michael Banck ]
  * debian/control (Description): Fixed Homepage: URL, thanks to Charles
    Plessy; closes: #396718.
  * debian/control (XS-DM-Upload-Allowed): Added.

  [ LI Daobing ]
  * debian/garlic.desktop: Fix warning for desktop-file-validate.
  * debian/rules (binary/garlic): Change all script's permissions to 644.

  [ Daniel Leidert ]
  * debian/compat: Raised to v5.
  * debian/control: Homepage field transition. Added Vcs fields.
    (Maintainer): Set the debichem team as maintainer.
    (Standards-Version): Updated to latest version 3.7.3.
    (Build-Depends): Raised debhelper to v5.
  * debian/copyright: Fixed outdated FSF address. Fixed local reference
    to point to GPL-2.
  * debian/dirs: Removed (useless).
  * debian/garlic.1: Fixed manpage-has-bad-whatis-entry issue
    (closes: #392228). Improved the manpage slightly (applied upstream too).
  * debian/garlic.desktop: Removed deprecated Encoding key. Added Chemistry
    category.
  * debian/menu: Updated to latest menu policy. Added longtitle.
  * debian/rules: Added the langcore.mk class to determine CFLAGS. Moved all
    rules and classes to the top.
    (build): Tell make to override CCOPT.
    (clean): Use the -f switch for rm instead to ignore the return value.
  * debian/watch: Added watch file. Thanks to Justin Pryzby for his help.
  * debian/patches/01_CFLAGS_fix.patch: Dropped in favour of simply giving
    CCOPT via debian/rules. Added the langcore.mk class to determine CFLAGS.

 -- Michael Banck <mbanck@debian.org>  Mon, 11 Feb 2008 22:06:09 +0100

garlic (1.5-2) unstable; urgency=low

  * Sync with Ubuntu.

 -- Michael Banck <mbanck@debian.org>  Tue, 26 Sep 2006 00:01:48 +0200

garlic (1.5-1ubuntu1) edgy; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Added .desktop.

 -- William Alexander Grant <william.grant@ubuntu.com.au>  Tue, 12 Sep 2006 14:41:15 +1000

garlic (1.5-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_CFLAGS_fix.patch: Updated.
  * debian/control (Description): Removed Keywords, added Homepage.

 -- Michael Banck <mbanck@debian.org>  Sun, 10 Sep 2006 16:24:04 +0200

garlic (1.4-1ubuntu1) dapper; urgency=low

  * Add desktop file from Phill Bull (Closes Malone: #36375)

 -- Barry deFreese <bddebian@comcast.net>  Sun,  9 Apr 2006 17:07:36 -0400

garlic (1.4-1) unstable; urgency=low

  * New upstream release; closes: #280300.
  * debian/copyright: Updated download location; closes: #280301.
  * debian/copyright: Updated upstream author's email address.
  * debian/rules: Include simple-patchsys.mk.
  * debian/patches/01_CFLAGS_fix.patch: New file. Use $(CFLAGS). This
    patch was previously shipped directly in the Debian diff.

 -- Michael Banck <mbanck@debian.org>  Sat, 13 Nov 2004 17:41:54 +0100

garlic (1.3-3) unstable; urgency=low

  * debian/control (Build-Depends): Replace xlibs-dev with libx11-dev.

 -- Michael Banck <mbanck@debian.org>  Sun, 18 Apr 2004 04:33:40 +0200

garlic (1.3-2) unstable; urgency=low

  * debian/control (Build-Depends):
    - Added cdbs.
    - Bumped required debhelper version to (>> 4.1.0).
  (Standards-Version): Bumped to 3.6.1.0.
  * debian/rules: Rewritten for cdbs.
  * debian/install, debian/manpages: New files.
  * debian/copyright: Added note about current maintainer.

 -- Michael Banck <mbanck@debian.org>  Wed, 24 Sep 2003 20:18:10 +0200

garlic (1.3-1) unstable; urgency=low

  * New upstream release
  * Moved menu entry from Math to Science section
  * Removed debian/conffiles, debhelper takes care of /etc/garlicrc
  * Don't use dh_listpackages in debian/rules, makes porting to GNU/Hurd
    easier
  * Bumped debhelper Build-Depends to (>> 3.0.0)
  * Updated manpage
  * Removed garlicrc from examples

 -- Michael Banck <mbanck@debian.org>  Sat,  5 Apr 2003 13:35:30 +0200

garlic (1.2-2) unstable; urgency=low

  * Fixed manpage; closes: #176632

 -- Michael Banck <mbanck@debian.org>  Tue, 14 Jan 2003 12:39:21 +0100


