=== debian/rules ===
#!/usr/bin/make -f

PACKAGE := garlic

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_clean:
	dh_clean *.o garlicrc garlic

override_dh_auto_build:
	dh_auto_build -- CCOPT="$(CFLAGS)"
	cp .garlicrc garlicrc

override_dh_compress:
	dh_compress -Xusr/share/doc/$(PACKAGE)/examples
	chmod 644 $(CURDIR)/debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples/*.script
